> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# إثراء بيانات الشركة عبر البحث

> إثراء شركة في الوقت الفعلي. يُعيد سجل الشركة بالإضافة إلى إشارات توظيفها ووسائل إعلامها وإعلاناتها والشركات المشابهة لها الحديثة في استدعاء واحد.

**قد يكون الاستدعاء الأول لشركة بطيئًا.** عندما يتطلب الأمر إثراء السجل من الصفر، توقع عشرات الثواني — استغرق استدعاء بارد تم قياسه 45 ثانية. وبمجرد الإثراء، تعود نفس الشركة في أقل من ثانية بكثير. اضبط مهلة عميل HTTP لديك على 90 ثانية على الأقل: يستخدم كثير من العملاء افتراضيًا 30 ثانية وقد يُلغون استدعاءً باردًا كان سينجح. إن كنت تحتاج فقط السجل المخزَّن، استدعِ [Company Lookup](/ar/api-reference/endpoint/companies/lookup) بدلًا من ذلك، فهو دائمًا سريع.



## OpenAPI

````yaml ar-openapi POST /companies/lookup/enrich
openapi: 3.0.0
info:
  description: >-
    تقدّم واجهة Pubrio API معلومات استخباراتية عن توسع السوق — إشارات في الوقت
    الفعلي تُعلِم عندما تدخل شركة سوقًا جديدة — إلى جانب بيانات الشركات والأشخاص
    التي تستند إليها. ابحث، وتحقق، وأثرِ الحسابات وجهات التواصل، واشترك في
    إشارات تحرك مصنَّفة ومؤرَّخة عبر أكثر من 200 سوق.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ar/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ar/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: معلومات ملف مساحة العمل وإحصاءات الاستخدام
  - name: Enrichment
    description: إثراء سجلات الأشخاص والشركات ببيانات B2B مفصّلة
  - name: Lookalike
    description: إيجاد شركات مشابهة لشركة معينة
  - name: Search
    description: البحث عن أشخاص وشركات ووظائف وأخبار وإعلانات بمرشحات
  - name: Lookup
    description: البحث عن معلومات مفصّلة لأشخاص وشركات ووظائف وأخبار وإعلانات وتقنيات محددة
  - name: LinkedIn
    description: البحث عن بيانات أشخاص وشركات عبر روابط ملفات LinkedIn
  - name: Redeem
    description: استبدال أرصدة لفتح بيانات تواصل الأشخاص (فردي ودفعي)
  - name: Channels
    description: إدارة قوالب قنوات التواصل (إنشاء، تحديث، حذف، سرد)
  - name: Monitor
    description: إنشاء وإدارة Monitors للبيانات بواجهات webhook، وإحصاءات، ومعالجة
  - name: Filters
    description: >-
      استرجاع قيم المرشحات المتاحة لمعاملات البحث (التقنيات، المواقع، القطاعات،
      إلخ)
  - name: API Keys
    description: سرد وفحص سجلات طلبات API وتحليلات الاستخدام لمفاتيح API
  - name: Insights
    description: رؤى إشارات مجمَّعة للشركات (الوظائف، الأخبار، الإعلانات).
  - name: Export
    description: تصدير بيانات دفعي (مقيَّد بالأرصدة).
  - name: Expansion
    description: >-
      معلومات استخباراتية عن توسع الشركات في السوق: الإشارات، المراحل، الأسواق،
      والتصدير.
externalDocs:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  url: https://docs.pubrio.com
paths:
  /companies/lookup/enrich:
    post:
      tags:
        - Enrichment
      summary: إثراء سجل شركة
      description: >-
        إثراء شركة في الوقت الفعلي. يُعيد سجل الشركة بالإضافة إلى إشارات توظيفها
        ووسائل إعلامها وإعلاناتها والشركات المشابهة لها الحديثة في استدعاء واحد.


        **قد يكون الاستدعاء الأول لشركة بطيئًا.** عندما يتطلب الأمر إثراء السجل
        من الصفر، توقع عشرات الثواني — استغرق استدعاء بارد تم قياسه 45 ثانية.
        وبمجرد الإثراء، تعود نفس الشركة في أقل من ثانية بكثير. اضبط مهلة عميل
        HTTP لديك على 90 ثانية على الأقل: يستخدم كثير من العملاء افتراضيًا 30
        ثانية وقد يُلغون استدعاءً باردًا كان سينجح. إن كنت تحتاج فقط السجل
        المخزَّن، استدعِ [Company
        Lookup](/ar/api-reference/endpoint/companies/lookup) بدلًا من ذلك، فهو
        دائمًا سريع.
      operationId: companies_enrich
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                domain:
                  $ref: '#/components/schemas/domain'
                linkedin_url:
                  $ref: '#/components/schemas/company_linkedin_url'
              anyOf:
                - title: Domain Search ID
                  required:
                    - domain_search_id
                - title: Domain
                  required:
                    - domain
                - title: LinkedIn URL
                  required:
                    - linkedin_url
      responses:
        '200':
          description: استجابة ناجحة تحتوي على تفاصيل إثراء الشركة.
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    description: >-
                      سياق الطلب — `filters` و`parameters` المُعادة، بالإضافة
                      إلى كتلة `profile` تحوي `credit` و`topup_credit`
                      و`total_credit_cost` عند طلب محاسبة الأرصدة.
                  data:
                    $ref: '#/components/schemas/data'
                  jobs:
                    type: array
                    description: >-
                      إعلانات الوظائف الحديثة للشركة، مُعادة ضمن نفس الاستجابة
                      بحيث لا تحتاج إلى استدعاء منفصل لبحث الوظائف.
                    items:
                      type: object
                  news:
                    type: array
                    description: >-
                      ذِكر الأخبار الحديثة للشركة، مُعادة ضمن نفس الاستجابة بحيث
                      لا تحتاج إلى استدعاء منفصل لبحث الأخبار.
                    items:
                      type: object
                  advertisements:
                    type: array
                    description: >-
                      الإعلانات الحديثة للشركة، مُعادة ضمن نفس الاستجابة بحيث لا
                      تحتاج إلى استدعاء منفصل لبحث الإعلانات.
                    items:
                      type: object
                  similar_companies:
                    type: array
                    description: >-
                      الشركات المشابهة لهذه الشركة. فارغة عند عدم وجود مطابقة
                      قريبة.
                    items:
                      type: object
              example:
                metadata:
                  is_enrichment_available: false
                  parameters: null
                data:
                  logo_url: >-
                    https://buckets.pubrio.com/company-logo/MTA4NjI1MTNzdHJpcGUuY29tbGlua2VkaW5fcF9sb2dvMTU=.jpg
                  emails:
                    - ...
                  phones:
                    - ...
                  contacts:
                    - ...
                  estimated_revenue: 14400000000
                  publicly_traded_symbol: null
                  publicly_traded_exchange: null
                  linkedin_name: stripe
                  domains:
                    - stripe.com
                  locations:
                    - US
                  categories:
                    - '1'
                    - '26'
                    - '28'
                    - '33'
                    - '37'
                    - '38'
                    - '39'
                    - '43'
                    - '56'
                    - '60'
                    - '64'
                    - '69'
                    - '71'
                    - '81'
                    - '116'
                    - '129'
                    - '147'
                    - '254'
                    - '979'
                    - '3014'
                    - '707847256'
                  verticals:
                    - '24076059'
                    - '24096599'
                    - '69085143'
                    - '69107205'
                  vertical_categories:
                    - '9'
                    - '16'
                    - '18'
                  vertical_sub_categories:
                    - '74'
                    - '103'
                    - '120'
                  company_ranking: 221
                  title: Help increase the GDP of the internet.
                  company_type: Privately Held
                  description: >-
                    Stripe is a financial infrastructure platform for
                    businesses. Millions of companies—from the world’s largest
                    enterprises to the most ambitious startups—use Stripe to
                    accept payments, grow their revenue, and accelerate new
                    business opportunities. Headquartered in San Francisco and
                    Dublin, the company aims to increase the GDP of the
                    internet.
                  company_address: South San Francisco, California
                  linkedin_uid: '2135371'
                  company_name: Stripe
                  founded_year: 2010
                  industry: Technology, Information And Internet
                  specialties:
                    - Technology, Information And Internet
                    - Financial Services
                    - E-commerce
                    - Information Technology & Services
                  domain: stripe.com
                  domain_search_id: 5378845d-7726-4817-aba9-ced8c5f41dee
                  domain_id: 10862513
                  parent_id: null
                  linkedin_company_id: 1407685
                  domain_ids:
                    - 10862513
                    - 3254042745
                    - 2617941789
                    - 953909397
                    - 368243151
                  country_code: US
                  company_size: 11300
                  company_keywords:
                    - payments
                    - developer tools
                    - cloud infrastructure
                    - credit cards
                    - consumer internet
                    - enterprise software
                    - software
                    - internet
                    - information technology
                    - technology, information & internet
                    - global payments
                    - online payments
                    - payment links
                    - checkout solutions
                    - subscription billing
                    - invoicing
                    - fraud prevention
                    - identity verification
                    - financial automation
                    - business financing
                    - virtual cards
                    - embedded finance
                    - transaction monitoring
                    - data analytics
                    - payment methods
                  is_company_url_active: true
                  company_url: https://stripe.com/
                  youtube_url: null
                  github_url: null
                  x_url: null
                  crunchbase_url: null
                  linkedin_url: https://www.linkedin.com/company/stripe
                  instagram_url: null
                  facebook_url: https://facebook.com/stripehq
                  twitter_url: http://twitter.com/stripe
                  country: United States
                  location: United States
                  sequences: null
                  saved_lists: null
                  company_addresses:
                    - >-
                      354 Oyster Point Blvd South San Francisco, California
                      94080, US
                    - 1 Grand Canal Street Lower Dublin, County Dublin, IE
                    - 920 5th Ave Seattle, Washington 98104, US
                    - 211 Old Street London, England EC1V 9NR, GB
                    - 10, Boulevard Haussmann Paris, Ile-de-France 75009, FR
                    - 89 Neil Rd Central Business District, Singapore 088894, SG
                    - 1-5-8 Jingumae Tokyo, Shibuya-ku 150-0001, JP
                    - 515 N State St Chicago, Illinois 60610, US
                    - 11 Park Pl New York, NY 10301, US
                    - Singel 542 Amsterdam, North Holland 1017, NL
                    - >-
                      Avenida Paseo De La Reforma 296 Ciudad De Mexico, Colonia
                      Juarez 06600, MX
                    - 222 Exhibition St Melbourne, Victoria 3000, AU
                    - Avenida Paulista 1374 Paulínia, São Paulo 13140-000, BR
                    - >-
                      Church Street Haridevpur, Shanthala Nagar, Ashok Nagar
                      Bengaluru, Karnataka 560001, IN
                  company_size_printed: 11,300+
                jobs:
                  - job_id: e4077f8d-2b3d-4a9b-935e-123faae6f9a2
                    job_search_id: e4077f8d-2b3d-4a9b-935e-123faae6f9a2
                    last_modified: '2025-06-05T08:04:00.294Z'
                    companies:
                      logo_url: >-
                        https://buckets.pubrio.com/company-logo/MTA4NjI1MTNzdHJpcGUuY29tbGlua2VkaW5fcF9sb2dvMTU=.jpg
                      domain_search_id: 5378845d-7726-4817-aba9-ced8c5f41dee
                      company_name: Stripe
                      linkedin_name: stripe
                      country_code: US
                      domain: stripe.com
                    location: Toronto, Ontario, Canada
                    job_url: >-
                      https://ca.linkedin.com/jobs/view/program-lead-stripe-startups-at-stripe-4244851093?position=9&pageNum=0&refId=dSWk2H9vKbZkQFgUb0YAqA%3D%3D&trackingId=tU1BYodLertdWt%2F7NIn4Tw%3D%3D
                    posting_date: '2025-06-04'
                    country_code: CA
                    location_id: 395
                    title: Program Lead, Stripe Startups
                    country: Canada
                  - ...
                news:
                  - news_id: 032606ce-46b6-4bf5-9aa9-8ecc96f126bc
                    news_search_id: 15872966-7b73-4361-be8f-2415bf4c72d9
                    domains:
                      - openai.com
                      - microsoft.com
                      - anthropic.com
                      - perplexity.ai
                      - stripe.com
                      - github.com
                      - salesforce.com
                      - canva.com
                      - adobe.com
                      - atlassian.com
                      - zoom.us
                    companies:
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MzA2MTI3NThhdGxhc3NpYW4uY29tbGlua2VkaW5fcF9sb2dvMTU=.jpg
                        domain_search_id: 1437c841-a4b8-48c1-9be3-3dafb68dfd41
                        country_code: AU
                        company_name: Atlassian
                        linkedin_name: atlassian
                        domain: atlassian.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/NTU1MDU5MDdhbnRocm9waWMuY29tbGlua2VkaW5fcF9sb2dvMTU=.jpg
                        domain_search_id: 15dd54c6-12b4-494a-84f4-9fff676ac7e0
                        country_code: US
                        company_name: Anthropic
                        linkedin_name: anthropicresearch
                        domain: anthropic.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MjMzNDM2OTQxYWRvYmUuY29tbGlua2VkaW5fcF9sb2dvMTU=.jpg
                        domain_search_id: 1fda6cfb-dacd-40a9-bb77-21ebc81c79e2
                        country_code: US
                        company_name: Adobe
                        linkedin_name: adobe
                        domain: adobe.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MjY5OTUyODdzYWxlc2ZvcmNlLmNvbWxpbmtlZGluX3BfbG9nbzE1.jpg
                        domain_search_id: 29437edb-9d9a-45a3-8f43-481cbfaab1bf
                        country_code: US
                        company_name: Salesforce
                        linkedin_name: salesforce
                        domain: salesforce.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MTA4NjI1MTNzdHJpcGUuY29tbGlua2VkaW5fcF9sb2dvMTU=.jpg
                        domain_search_id: 5378845d-7726-4817-aba9-ced8c5f41dee
                        country_code: US
                        company_name: Stripe
                        linkedin_name: stripe
                        domain: stripe.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MzA2MTIzNTVvcGVuYWkuY29tbGlua2VkaW5fcF9sb2dvMTU=.jpg
                        domain_search_id: 67c4696b-b7b0-46b5-b2af-9f434543661e
                        country_code: US
                        company_name: Openai
                        linkedin_name: openai
                        domain: openai.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MzY4MjQyNzQ4aWxqOXNzbmoxZ2l0aHViLmNvbWxpbmtlZGluXzE0MDY4NDg=.jpg
                        domain_search_id: 838c52f2-ab18-4258-b37c-e00bc568f747
                        country_code: US
                        company_name: Github
                        linkedin_name: github
                        domain: github.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MTU0MDk4MjAxMHpvb20udXNsaW5rZWRpbl9wX2xvZ28xNQ==.jpg
                        domain_search_id: a90c7f40-ed1a-4675-b348-f36cbcf94481
                        country_code: US
                        company_name: Zoom
                        linkedin_name: zoom
                        domain: zoom.us
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MzA2MTIyODdjYW52YS5jb21saW5rZWRpbl9wX2xvZ28xNQ==.jpg
                        domain_search_id: b5405a6c-81a7-4f86-bd09-ebf728b667bf
                        country_code: AU
                        company_name: Canva
                        linkedin_name: canva
                        domain: canva.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MTQyMjQxMjk4bWljcm9zb2Z0LmNvbWxpbmtlZGluX3BfbG9nbzE1.jpg
                        domain_search_id: dd225537-283f-46bf-ba1c-cb0c6a1311bb
                        country_code: US
                        company_name: Microsoft
                        linkedin_name: microsoft
                        domain: microsoft.com
                      - logo_url: >-
                          https://buckets.pubrio.com/company-logo/MTU0MDk4MjEyNnBlcnBsZXhpdHkuYWlsaW5rZWRpbl9wX2xvZ28xNQ==.jpg
                        domain_search_id: fe169c45-f426-4ec4-985e-c88b2d78d044
                        country_code: US
                        company_name: Perplexity
                        linkedin_name: perplexity-ai
                        domain: perplexity.ai
                    news_galleries:
                      - slug: technology
                        news_gallery_id: 9536114f-231a-489c-8a8a-1cbf82a327a4
                        name: Technology
                    locations:
                      - China
                    last_modified: '2025-06-04T07:43:14.260Z'
                    image_url: >-
                      https://analyticsindiamag.com/wp-content/uploads/2025/06/ai-monetisation-llm.jpg
                    url: >-
                      https://analyticsindiamag.com/ai-features/llm-companies-vs-saas-giants-whos-winning-in-ai-monetisation/
                    published_at: '2025-06-04T07:03:49.000000Z'
                    language: en
                    source: analyticsindiamag.com
                    category: launches
                    title: 'LLM companies vs SaaS giants: AI monetization race'
                    summary: >-
                      LLM companies show rapid growth but struggle with
                      profitability, while SaaS giants integrate AI cautiously
                      into existing services, leveraging their large user base.
                    news_category_name: Launches
                  - ...
                similar_companies:
                  - logo_url: >-
                      https://buckets.pubrio.com/company-logo/MzY4MjQzODc3cmlwcGxlLmNvbWxpbmtlZGluX3BfbG9nbzE1.jpg
                    emails:
                      - ...
                    phones:
                      - ...
                    contacts:
                      - ...
                    similarity_score: 0.6540610253955462
                    estimated_revenue: 500000000
                    publicly_traded_symbol: null
                    publicly_traded_exchange: null
                    linkedin_name: rippleofficial
                    domains:
                      - ripple.com
                    locations:
                      - US
                    categories: null
                    verticals:
                      - '69086483'
                      - '24076059'
                      - '69085537'
                      - '69107205'
                    vertical_categories:
                      - '16'
                      - '18'
                    vertical_sub_categories:
                      - '103'
                      - '120'
                    company_ranking: 8133
                    title: We're building the Internet of Value.
                    company_type: Privately Held
                    description: >-
                      Using proven crypto and blockchain technology honed over a
                      decade, Ripple’s enterprise-grade solutions are faster,
                      more transparent, and more cost-effective than traditional
                      financial services. Our customers use these solutions to
                      source crypto, facilitate instant payments, empower their
                      treasury, engage new audiences, lower capital
                      requirements, and drive new revenue. Founded in 2012,
                      Ripple's vision is to enable a world where value moves as
                      seamlessly as information flows today—an Internet of
                      Value. Ripple is the only enterprise blockchain company
                      today with products in commercial use. Ripple’s global
                      payments network includes over 300 customers across 40+
                      countries and six continents.
                    company_address: San Francisco, CA
                    linkedin_uid: '3249443'
                    company_name: Ripple
                    founded_year: 2012
                    industry: Technology, Information And Internet
                    specialties:
                      - Technology
                      - Technology, Information And Internet
                      - Financial Services
                      - Blockchain
                    domain: ripple.com
                    domain_search_id: eac9e802-d574-4f5f-b7d9-4daadbdcd630
                    domain_id: 368243877
                    parent_id: null
                    linkedin_company_id: 1408892
                    domain_ids:
                      - 368243877
                      - 3252571626
                      - 1758856012
                      - 2617948464
                    country_code: US
                    company_size: 1400
                    company_keywords:
                      - crossborder payments
                      - financial technology
                      - cryptography
                      - distributed ledgers
                      - fintech
                      - finance
                      - blockchain
                      - payments
                      - cryptocurrency
                      - fin tech
                      - blockchains
                      - blockchain / cryptocurrency
                      - technology, information & internet
                      - digital asset custody
                      - blockchain technology
                      - real-time settlement
                      - liquidity management
                      - stablecoin issuance
                      - enterprise blockchain
                      - xrp ledger
                      - secure custody solutions
                      - digital asset management
                      - financial institutions
                      - tokenization
                    is_company_url_active: true
                    company_url: https://www.ripple.com/
                    youtube_url: null
                    github_url: null
                    x_url: https://x.com/ripple
                    crunchbase_url: null
                    linkedin_url: https://www.linkedin.com/company/rippleofficial
                    instagram_url: null
                    facebook_url: null
                    twitter_url: https://twitter.com/ripple
                    country: United States
                    location: United States
                    sequences: null
                    saved_lists: null
                    company_addresses:
                      - San Francisco, CA 94104, US
                    company_size_printed: 1,400+
                  - ...
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    domain_search_id:
      type: string
      format: uuid
      description: معرّف فريد لعملية البحث عن شركات.
    domain:
      type: string
      example: pubrio.com
      description: >-
        نطاق شركة يُستخدَم لعمليات البحث عن شركات. إن استلمنا رابطًا مثل
        `www.pubrio.com` أو `https://docs.pubrio.com/`، سيحوّله النظام إلى
        `pubrio.com` للمعالجة.
    company_linkedin_url:
      type: string
      example: https://www.linkedin.com/company/pubrio
      description: >-
        الرابط الكامل لملف شركة على LinkedIn. يبدأ الرابط بـ`http` ويحتوي
        `linkedin.com/company/`
    data:
      type: object
      nullable: true
      description: تعتمد معلومات الاستجابة على النقطة الطرفية المحددة.
  responses:
    general_error:
      description: >-
        طلب غير صحيح. كان الطلب مُصاغًا بشكل خاطئ أو يحتوي معاملات غير صالحة.
        تحقق من رمز الخطأ والرسالة للتفاصيل.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: >-
                  Errors and codes will vary depending on the scenario, please
                  see the documentation for information.
                type: string
              details:
                type: object
    rate_limit_error:
      description: >-
        تم تجاوز حد المعدل. نُفِّذت طلبات كثيرة جدًا خلال فترة زمنية معينة. أعِد
        المحاولة بعد إعادة ضبط نافذة حد المعدل.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: Request rate limit exceeded. Please wait and try again later.
                type: string
    server_error:
      description: >-
        خطأ خادم داخلي. حدث خطأ غير متوقع في الخادم. تواصل مع الدعم إن استمر
        الخطأ.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: An unexpected error occurred on the server.
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        رمز API فريد يمثّل الإجراءات التي تنفّذها عبر الواجهة والصلاحيات
        والعمليات المقابلة. يمكنك إنشاءه عبر قسم
        [Settings](https://dashboard.pubrio.com/#/settings/).
      in: header

````